VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::AlreadyExists Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::AlreadyExists:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::AlreadyExists` error indicates that an attempt was made to create an entity but the entity already exists. Typically the entity has a name or identifier that is required to be unique in some context, but there is already an entity with that name or identifier in that context.

Examples:

- Trying to create a new tag category when a tag category with the specified name already exists.
- Trying to create a new tag in tag category when a tag with the specified name already exists the tag category.
- Trying to create a LUN with a specific UUID on a node (for replication purposes) when a LUN with that UUID already exists on the node.
- Trying to create a file in a directory or move or copy a file to a directory when a file with that name already exists in the directory.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::AlreadyExists::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::AlreadyExists structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 14
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::AlreadyExists');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.already_exists');
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/AlreadyExists.pm